Bug 656482 - [abrt] boinc-client-6.10.45-2.r21128svn.fc14: ____strtoll_l_internal: Process /usr/bin/boinc_client was killed by signal 11 (SIGSEGV)
Summary: [abrt] boinc-client-6.10.45-2.r21128svn.fc14: ____strtoll_l_internal: Process...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: boinc-client
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Milos Jakubicek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c38ce070f7e7401db8a530f0031...
: 656487 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-23 20:45 UTC by John Watzke
Modified: 2011-01-20 10:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-20 10:22:38 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (20.40 KB, text/plain)
2010-11-23 20:45 UTC, John Watzke
no flags Details

Description John Watzke 2010-11-23 20:45:11 UTC
abrt version: 1.1.14
architecture: x86_64
Attached file: backtrace
cmdline: boinc --gui_rpc_port
comment: Just started the boinc client
component: boinc-client
crash_function: ____strtoll_l_internal
executable: /usr/bin/boinc_client
kernel: 2.6.35.6-48.fc14.x86_64
package: boinc-client-6.10.45-2.r21128svn.fc14
rating: 4
reason: Process /usr/bin/boinc_client was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
How to reproduce: 1. started boinc client with boinc --gui_rpc_port
time: 1290544893
uid: 500

Comment 1 John Watzke 2010-11-23 20:45:13 UTC
Created attachment 462446 [details]
File: backtrace

Comment 2 John Watzke 2010-11-23 20:47:05 UTC
If I happen to use the command and provide a port number I get a different error.  When I do "boinc --gui_rpc_port 5757", I then get an error message that seems to indicate that a buffer overflow was detected and the client is killed.  I'll open that as a separate bug.

Comment 3 John Watzke 2010-11-23 20:58:46 UTC
Very odd note is that if I go one directory down from my home directory, such as Desktop or a boinc directory I made, the client doesn't crash.  However, I cannot seem to get the boincmgr to do anything.  The boincmgr will try to connect but if I try to attach a project or run the CPU benchmark, it disconnects.

Comment 4 John Watzke 2010-11-25 03:34:16 UTC
*** Bug 656487 has been marked as a duplicate of this bug. ***

Comment 5 Milos Jakubicek 2011-01-20 10:22:38 UTC
Please follow: http://fedoraproject.org/wiki/MilosJakubicek/HowToUseBoinc

You should not start boinc by your own (this regards to the your note about home directory)


Note You need to log in before you can comment on or make changes to this bug.